<div class="card mw-100">
  <div class="card-header">
    <h2 class="card-title mb-0">
      <div class="row">
        <div class="col-6">MbO ciele zamestnanca</div>
        <div class="col-6 text-right">Cielova odmena {{completedOn | slovak_percent}}</div>
        <div class="col-12">
          <!--          Formulár je platný od {{validFrom}} do {{validTo}}.-->
        </div>
      </div>
    </h2>
  </div>


  <div class="card-body">
    <div class="form-group mb-5" [formGroup]="searchFormGroup">
      <div class="row">
        <div class="col-2">
          <fox-input-text formControlName="year"
                          pattern="^\d{4}$"
                          label="Rok"
                          maxLength="4"></fox-input-text>
        </div>
        <div class="col-2">
          <fox-select formControlName="username"
                      label="Zamestnanec"
                      [options]="persons"
                      [readonly]="!isManager"></fox-select>
        </div>
        <div class="col-2 d-flex align-content-end flex-wrap">
          <button (click)="find()"
                  foxBtn
                  color="primary"
                  type="outline">
            <fox-icon [iconType]="searchIcon" foxPrefix></fox-icon>
            Hladať
          </button>
        </div>
      </div>
    </div>

    <div *ngIf="mbos">
      <ng-container *ngIf="mbos?.length > 0; else createNew">

        <div>
          <div>
            <h3>
              Ciele
            </h3>

            <div *ngFor="let g of goalMap | keyvalue">
              <div *ngIf="{year: g.value[0].year,
              assinmnetType: g.value[0].assignmentType,
              assignTo: g.value[0].assignTo} as criteria"
                   class="mb-5">
                <h5>
                  {{g.value[0] | plan_title}}
                  <fox-icon *ngIf="!goalVisibilityMap.get(g.key)"
                            [iconType]="iconPlus"
                            (click)="changeVisibilityOfPlan(g.key)"
                            title="Zobraziť"
                            class="cursor-pointer"></fox-icon>
                  <fox-icon *ngIf="goalVisibilityMap.get(g.key)"
                            [iconType]="iconMinus"
                            (click)="changeVisibilityOfPlan(g.key)"
                            title="Schovať"
                            class="cursor-pointer"></fox-icon>
                </h5>
                <div *ngIf="goalVisibilityMap.get(g.key)">
                  <app-goal-list [goalInput]="g.value"
                                 [criteriaInput]="criteria"
                                 [actions]="false"></app-goal-list>
                </div>
              </div>
            </div>
          </div>

          <div class="mt-10">
            <h3>Celkové hodnotenie zamestnanca</h3>
            <div class="form-group" [formGroup]="mboFormGroup">
              <div class="row">
                <div class="col-4">
                  <fox-text-area formControlName="employee"
                                 label="Hodnotenie zamestnancom (sebahodnotenie)"
                                 [readonly]="isManager"></fox-text-area>
                </div>
                <div class="col-4">
                  <fox-text-area formControlName="manager"
                                 label="Hodnotenie nadriadeným"
                                 [readonly]="!isManager"></fox-text-area>
                </div>
                <div class="col-4">
                  <fox-text-area formControlName="comment"
                                 label="Komentár zamestnanca k hodnoteniu"
                                 [readonly]="isManager"></fox-text-area>
                </div>
              </div>
            </div>
          </div>

          <div class="mt-10">
            <h3>Rozvojový plán</h3>
            <div class="form-group">
              <div class="row mx-0">
                <div *ngFor="let e of educations" class="col-1 border">
                  <div class="font-weight-boldest text-success">{{e.type | education_type}}</div>
                  <div>{{e.name}}</div>
                </div>

                <fox-icon [iconType]="iconPlus"
                          (click)="openAddEducation()"
                          class="cursor-pointer"></fox-icon>
              </div>
            </div>
          </div>

          <div class="row mt-10">
            <div class="col-3" *ngIf="{text: 'Potvrdzujete, že ste sa oboznámili s nastavením cieľov?'} as question">
              <h4>Nastavenie cieľov</h4>
              <div class="row mb-5">
                <div class="col-6">Zamestnanec:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.employeeMboSetting"
                                    [isManager]="false"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="employeeConfirmedSetting($event)"></app-confirmation>
                </div>
              </div>
              <div class="row">
                <div class="col-6 pb-5">Nadriadený:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.managerMboSetting"
                                    [isManager]="true"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="managerConfirmedSetting($event)"></app-confirmation>
                </div>
              </div>
            </div>

            <div class="col-3"
                 *ngIf="{text: 'Potvrdzujete, že ste sa oboznámili so polročným hodnotením cieľov?'} as question">
              <h4>Polročné hodnotenie</h4>
              <div class="row mb-5">
                <div class="col-6">Zamestnanec:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.employeeSemiAnnualMboEvaluation"
                                    [isManager]="false"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="employeeConfirmedSemiEvaluation($event)"></app-confirmation>
                </div>
              </div>
              <div class="row">
                <div class="col-6">Nadriadený:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.managerSemiAnnualMboEvaluation"
                                    [isManager]="true"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="managerConfirmedSemiEvaluation($event)"></app-confirmation>
                </div>
              </div>
            </div>

            <div class="col-3"
                 *ngIf="{text: 'Potvrdzujete, že ste sa oboznámili so záverčným hodnotením cieľov?'} as question">
              <h4>Záverečné hodnotenie</h4>
              <div class="row mb-5">
                <div class="col-6">Zamestnanec:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.employeeFinalMboEvaluation"
                                    [isManager]="false"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="employeeConfirmedFinalEvaluation($event)"></app-confirmation>
                </div>
              </div>
              <div class="row">
                <div class="col-6 pb-5">Nadriadený:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.managerFinalMboEvaluation"
                                    [isManager]="true"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="managerConfirmedFinalEvaluation($event)"></app-confirmation>
                </div>
              </div>
            </div>

            <div class="col-3" *ngIf="{text: 'Potvrdzujete, že ste s plánom rozvoja?'} as question">
              <h4>Vzdelávanie</h4>
              <div class="row mb-5">
                <div class="col-6">Zamestnanec:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.employeeEducation"
                                    [isManager]="false"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="employeeConfirmedEducation($event)"></app-confirmation>
                </div>
              </div>
              <div class="row">
                <div class="col-6 pb-5">Nadriadený:</div>
                <div class="col-6">
                  <app-confirmation [signature]="mbo?.signatures?.managerEducatioin"
                                    [isManager]="true"
                                    [question]="question.text"
                                    [user]="user"
                                    (signatureChanged)="managerConfirmedEducation($event)"></app-confirmation>
                </div>
              </div>
            </div>
          </div>
        </div>
      </ng-container>
    </div>

    <ng-template #createNew>
      <div class="card-body">
        <div class="row text-center">
          <div class="col-12 pb-5">
            Zamestnanec {{searchFormGroup.get('username').value}} nemá nadefinovaný plan MBO.
          </div>
          <div class="col-12">
            <button (click)="create()"
                    foxBtn
                    color="success"
                    type="outline"
                    size="sm"
                    title="Zalozenie MBO planu pre aktualny rok">
              <fox-icon [iconType]="iconCog" foxPrefix></fox-icon>
              Vytvoriť
            </button>
          </div>
        </div>
      </div>
    </ng-template>
  </div>

  <div *ngIf="mbo" class="card-footer">
    <div class="row">
      <div class="col-12 text-right">
        <button (click)="save()"
                foxBtn
                color="success"
                type="outline"
                size="sm"
                title="Uložiť aktuálny MBO plán">
          <fox-icon [iconType]="iconSave" foxPrefix></fox-icon>
          Uložiť
        </button>
      </div>
    </div>
  </div>
</div>

<ng-container *ngIf="mbo$ | async"></ng-container>
<ng-container *ngIf="mbos$ | async"></ng-container>
<ng-container *ngIf="user$ | async"></ng-container>
<ng-container *ngIf="isManager$ | async"></ng-container>
<ng-container *ngIf="company$ | async"></ng-container>
<ng-container *ngIf="performance$ | async"></ng-container>
<ng-container *ngIf="competency$ | async"></ng-container>
<ng-container *ngIf="educationDialog$ | async"></ng-container>
